package cn.efunbox.audio.repository;

import cn.efunbox.audio.entity.Album;
import cn.efunbox.audio.repository.base.ProjectJpaRepository;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import javax.rmi.CORBA.PortableRemoteObjectDelegate;
import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
@Repository
public interface AlbumRepo extends ProjectJpaRepository<Album, Long> {

    @Query(value = "select a.id From album a where a.name like concat('%',?1,'%')", nativeQuery = true)
    List<Long> findIdsByNameLike(String name);

    @Query(value = "select * From album a where a.name like concat('%',?1,'%')", nativeQuery = true)
    List<Album> findByNameLike(String name);


    List<Album> findByIdIn(List<Long> albumIds);
}
